## speexenc speexenc — Encodes audio in Speex format |

## Properties

gint | abr | Read / Write / Construct
gint | bitrate | Read / Write / Construct
gint | complexity | Read / Write / Construct
gboolean | dtx | Read / Write / Construct
gchar * | last-message | Read
gint | nframes | Read / Write / Construct
gfloat | quality | Read / Write / Construct
gboolean | vad | Read / Write / Construct
gboolean | vbr | Read / Write / Construct
GstSpeexEncMode | mode | Read / Write / Construct

## Types and Values

struct | GstSpeexEnc

## Object Hierarchy

        GObject
        ╰── GstObject
            ╰── GstElement
                ╰── GstAudioEncoder
                    ╰── GstSpeexEnc

## Implemented Interfaces

GstSpeexEnc implements GstTagSetter and GstPreset.

## Description

## Synopsis

### Element Information

plugin | speex
author | Wim Taymans <wim@fluendo.com>
class | Codec/Encoder/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-raw-int, rate=(int)[ 6000, 48000 ], channels=(int)[ 1, 2 ], endianness=(int)1234, signed=(boolean)true, width=(int)16, depth=(int)16

name | src
direction | source
presence | always
details | audio/x-speex, rate=(int)[ 6000, 48000 ], channels=(int)[ 1, 2 ]

## Functions

## Types and Values

### struct GstSpeexEnc

    struct GstSpeexEnc;

## Property Details

### The `“abr”` property

      “abr”                      gint

Enable average bit-rate (0 = disabled).

Flags: Read / Write / Construct

Allowed values: >= 0

Default value: 0

### The `“bitrate”` property

      “bitrate”                  gint

Specify an encoding bit-rate (in bps). (0 = automatic).

Flags: Read / Write / Construct

Allowed values: >= 0

Default value: 0

### The `“complexity”` property

      “complexity”               gint

Set encoding complexity.

Flags: Read / Write / Construct

Allowed values: >= 0

Default value: 3

### The `“dtx”` property

      “dtx”                      gboolean

Enable discontinuous transmission.

Flags: Read / Write / Construct

Default value: FALSE

### The `“last-message”` property

      “last-message”             gchar *

The last status message.

Flags: Read

Default value: NULL

### The `“nframes”` property

      “nframes”                  gint

Number of frames per buffer.

Flags: Read / Write / Construct

Allowed values: >= 0

Default value: 1

### The `“quality”` property

      “quality”                  gfloat

Encoding quality.

Flags: Read / Write / Construct

Allowed values: [0,10]

Default value: 8

### The `“vad”` property

      “vad”                      gboolean

Enable voice activity detection.

Flags: Read / Write / Construct

Default value: FALSE

### The `“vbr”` property

      “vbr”                      gboolean

Enable variable bit-rate.

Flags: Read / Write / Construct

Default value: FALSE

### The `“mode”` property

      “mode”                     GstSpeexEncMode

The encoding mode.

Flags: Read / Write / Construct

Default value: Auto